--AH:ScriptId=4630fc33-660f-45fa-b4ec-d4a01534ba66;3032
EXEC sp_rename 'dbo.ScheduledTaskExecutionLogs', 'ExecutionLogEntries'
EXEC sp_rename 'dbo.ScheduledTaskExecutions', 'Executions'

GO

EXEC sp_rename 'dbo.Executions.ScheduledTaskExecution_Id', 'Execution_Id', 'COLUMN'
EXEC sp_rename 'dbo.ExecutionLogEntries.ScheduledTaskExecution_Id', 'Execution_Id', 'COLUMN'

GO

ALTER TABLE [ExecutionLogEntries]
	DROP CONSTRAINT [FK__ScheduledTaskExecutionLogs__ScheduledTaskExecutions]
ALTER TABLE [ExecutionLogEntries]
	DROP CONSTRAINT [PK__ScheduledTaskExecutionLogs]

GO

ALTER TABLE [Executions]
	DROP CONSTRAINT [FK__ScheduledTaskExecutions__ScheduledTasks]
ALTER TABLE [Executions]
	DROP CONSTRAINT [PK__ScheduledTaskExecutions]

GO

ALTER TABLE [Executions]
	ADD CONSTRAINT [PK__Executions]
		PRIMARY KEY ([Execution_Id])

ALTER TABLE [ExecutionLogEntries]
	ADD CONSTRAINT [PK__ExecutionLogEntries]
		PRIMARY KEY ([Execution_Id], [LogMessage_Sequence])

GO

ALTER TABLE [ExecutionLogEntries]
	ADD CONSTRAINT [FK__ExecutionLogEntries__Executions]
		FOREIGN KEY ([Execution_Id])
		REFERENCES [Executions] ([Execution_Id])
		ON DELETE CASCADE

GO

CREATE TABLE [ScheduledTaskExecutions]
(
	[Execution_Id] INT NOT NULL,
	[ScheduledTask_Id] INT NOT NULL,

	CONSTRAINT [PK__ScheduledTaskExecutions]
		PRIMARY KEY ([Execution_Id]),

	CONSTRAINT [FK__ScheduledTaskExecutions__Executions]
		FOREIGN KEY ([Execution_Id])
		REFERENCES [Executions] ([Execution_Id])
		ON DELETE CASCADE,

	CONSTRAINT [FK__ScheduledTaskExecutions__ScheduledTasks]
		FOREIGN KEY ([ScheduledTask_Id])
		REFERENCES [ScheduledTasks] ([ScheduledTask_Id])
		ON DELETE CASCADE
)

GO

INSERT INTO [ScheduledTaskExecutions]
(
	[Execution_Id],
	[ScheduledTask_Id]
)
SELECT [Execution_Id],
       [ScheduledTask_Id]
  FROM [Executions]

GO

ALTER TABLE [Executions]
	DROP COLUMN [ScheduledTask_Id]