--AH:ScriptId=c275af9c-55cd-4dff-8cf0-477f35fe1771;3204
CREATE TABLE [NuGetPackagesV2]
(
	[NuGetPackageV2_Id] INT IDENTITY(1, 1) NOT NULL,
	[Feed_Id] INT NOT NULL,
	[Package_Id] VARCHAR(255) NOT NULL,
	[LatestVersion_Text] VARCHAR(255) NULL,
	[LatestStableVersion_Text] VARCHAR(255) NULL,

	CONSTRAINT [PK__NuGetPackagesV2]
		PRIMARY KEY ([NuGetPackageV2_Id]),

	CONSTRAINT [UQ__NuGetPackagesV2]
		UNIQUE ([Feed_Id], [Package_Id]),

	CONSTRAINT [FK__NuGetPackagesV2__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE
)

CREATE TABLE [NuGetPackageVersionsV2]
(
	[NuGetPackageV2_Id] INT NOT NULL,
	[Version_Text] VARCHAR(255) NOT NULL,
	[FullVersion_Text] VARCHAR(255) NOT NULL,
	[Published_Date] DATETIME NOT NULL,
	[Package_Size] BIGINT NOT NULL,
	[Download_Count] INT NOT NULL,
	[PackageHash_SHA1_Bytes] BINARY(20) NOT NULL,
	[PackageHash_SHA512_Bytes] BINARY(64) NOT NULL,
	[TargetFrameworks_Text] VARCHAR(255) NULL,
	[Nuspec_Bytes] VARBINARY(MAX) NOT NULL,
	[Symbols_Indicator] YNINDICATOR NOT NULL,
	[Source_Indicator] YNINDICATOR NOT NULL,
	[Cached_Indicator] YNINDICATOR NOT NULL,
	[Listed_Indicator] YNINDICATOR NOT NULL,
	[LastDownloaded_Date] DATETIME NULL,

	CONSTRAINT [PK__NuGetPackageVersionsV2]
		PRIMARY KEY ([NuGetPackageV2_Id], [Version_Text]),

	CONSTRAINT [FK__NuGetPackageVersionsV2__NuGetPackagesV2]
		FOREIGN KEY ([NuGetPackageV2_Id])
		REFERENCES [NuGetPackagesV2] ([NuGetPackageV2_Id])
		ON DELETE CASCADE
)