--AH:ScriptId=FE909463-D657-4EEB-B771-BF97AEF7074E

CREATE TABLE [HelmCharts]
(
	[Feed_Id] INT NOT NULL,
	[Chart_Name] VARCHAR(200) NOT NULL,
	[Version_Text] VARCHAR(200) NOT NULL,
	[Cached_Indicator] YNINDICATOR NOT NULL,
	[Published_Date] DATETIME NOT NULL,
	[Chart_Size] BIGINT NOT NULL,
	[SHA256Hash_Bytes] BINARY(32) NOT NULL,
	[ManifestYaml_Bytes] VARBINARY(MAX) NOT NULL,
	[LastDownloaded_Date] DATETIME,
	[Download_Count] INT NOT NULL,

	CONSTRAINT [PK__HelmCharts]
		PRIMARY KEY ([Feed_Id], [Chart_Name], [Version_Text]),

	CONSTRAINT [FK__HelmCharts__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE
)

CREATE INDEX [IX__HelmCharts__Published_Date]
	ON [HelmCharts] ([Published_Date] DESC)
	INCLUDE ([Feed_Id], [Chart_Name], [Version_Text], [Cached_Indicator])
