EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DebianPackages_GetCachedPackages',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'DebianPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the cached packages in a Debian feed.'
GO

IF OBJECT_ID('[DebianPackages_GetCachedPackages]') IS NOT NULL DROP PROCEDURE [DebianPackages_GetCachedPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [DebianPackages_GetCachedPackages]
(
	@Feed_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DebianPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Cached_Indicator] = 'Y'

END
GO

GRANT EXECUTE ON [DebianPackages_GetCachedPackages] TO [ProGetUser_Role]
GO
