EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageUsage_AddManualUsage',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'adds a single usage record'
GO

IF OBJECT_ID('[PackageUsage_AddManualUsage]') IS NOT NULL DROP PROCEDURE [PackageUsage_AddManualUsage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PackageUsage_AddManualUsage]
(
	@Server_Name NVARCHAR(100),
	@PackageType_Name VARCHAR(20),
	@Package_Name VARCHAR(200),
	@Package_Version VARCHAR(200),
	@Package_Group_Id NVARCHAR(255) = NULL,
	
	@Details_Url VARCHAR(256),
	@PackageStatus_Code CHAR(1)
)
AS
BEGIN

	SET NOCOUNT ON

	DELETE [PackageUsage]
	 WHERE [PackageContainerScanner_Id] IS NULL
	   AND [Server_Name] = @Server_Name
	   AND [PackageType_Name] = @PackageType_Name
	   AND [Package_Name] = @Package_Name

	INSERT INTO [PackageUsage]
	(
		[PackageContainerScanner_Id],
		[Server_Name],
		[PackageType_Name],
		[Package_Name],
		[Package_Version],
		[Package_Group_Id],
		[Details_Url],
		[PackageStatus_Code],
		[Installed_Date],
		[Removed_Date],
		[Updated_Date]
	)
	VALUES
	(
		NULL,
		@Server_Name,
		@PackageType_Name,
		@Package_Name,
		@Package_Version,
		@Package_Group_Id,
		@Details_Url,
		@PackageStatus_Code,
		GETUTCDATE(),
		CASE @PackageStatus_Code WHEN 'R' THEN GETUTCDATE() ELSE NULL END,
		GETUTCDATE()
	)


END 

GO

GRANT EXECUTE ON [PackageUsage_AddManualUsage] TO [ProGetUser_Role]
GO