EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RpmPackages_SetRepositoryDataDirty',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Marks RPM feed repository data as dirty if it isn''t already marked as dirty.'
GO

IF OBJECT_ID('[RpmPackages_SetRepositoryDataDirty]') IS NOT NULL DROP PROCEDURE [RpmPackages_SetRepositoryDataDirty]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RpmPackages_SetRepositoryDataDirty]
(
	@Feed_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	UPDATE [RpmRepositoryData]
	   SET [DirtySince_Date] = GETUTCDATE()
	 WHERE [Feed_Id] = @Feed_Id
	   AND [DirtySince_Date] IS NULL

END
GO

GRANT EXECUTE ON [RpmPackages_SetRepositoryDataDirty] TO [ProGetUser_Role]
GO