EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RubyGems_GetGemVersions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'RubyGemVersions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the Gem versions in a Ruby Gems feed.'
GO

IF OBJECT_ID('[RubyGems_GetGemVersions]') IS NOT NULL DROP PROCEDURE [RubyGems_GetGemVersions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RubyGems_GetGemVersions]
(
	@Feed_Id INT,
	@Gem_Name VARCHAR(200),
	@Version_Text VARCHAR(50) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT RGV.*
	  FROM [RubyGemVersions_Extended] RGV
	       INNER JOIN [RubyGems] RG
		           ON RG.[Gem_Id] = RGV.[Gem_Id]
	 WHERE RG.[Feed_Id] = @Feed_Id
	   AND (@Gem_Name IS NULL OR RG.[Gem_Name] = @Gem_Name)
	   AND (@Version_Text IS NULL OR RGV.[Version_Text] = @Version_Text)

END
GO

GRANT EXECUTE ON [RubyGems_GetGemVersions] TO [ProGetUser_Role]
GO